# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from . import ParameterControlServicer_pb2 as ParameterControlServicer__pb2


class ParameterControlServicerStub(object):
  """Feature: Parameter Control Servicer

  Set and retrieve information regarding the parameter settings of the Reglo ICC pump.
  By Valeryia Sidarava, Institute of Biochemical Engineering, Technical University of Munich, 31.07.2019,
  Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 15.04.2020.

  """

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.SetFlowRate = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetFlowRate',
        request_serializer=ParameterControlServicer__pb2.SetFlowRate_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetFlowRate_Responses.FromString,
        )
    self.SetRPMMode = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetRPMMode',
        request_serializer=ParameterControlServicer__pb2.SetRPMMode_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetRPMMode_Responses.FromString,
        )
    self.SetFlowRateMode = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetFlowRateMode',
        request_serializer=ParameterControlServicer__pb2.SetFlowRateMode_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetFlowRateMode_Responses.FromString,
        )
    self.SetVolumeRateMode = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetVolumeRateMode',
        request_serializer=ParameterControlServicer__pb2.SetVolumeRateMode_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetVolumeRateMode_Responses.FromString,
        )
    self.SetVolumeTimeMode = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetVolumeTimeMode',
        request_serializer=ParameterControlServicer__pb2.SetVolumeTimeMode_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetVolumeTimeMode_Responses.FromString,
        )
    self.SetVolumePauseMode = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetVolumePauseMode',
        request_serializer=ParameterControlServicer__pb2.SetVolumePauseMode_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetVolumePauseMode_Responses.FromString,
        )
    self.SetTimeMode = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetTimeMode',
        request_serializer=ParameterControlServicer__pb2.SetTimeMode_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetTimeMode_Responses.FromString,
        )
    self.SetTimePauseMode = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetTimePauseMode',
        request_serializer=ParameterControlServicer__pb2.SetTimePauseMode_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetTimePauseMode_Responses.FromString,
        )
    self.SetVolume = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetVolume',
        request_serializer=ParameterControlServicer__pb2.SetVolume_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetVolume_Responses.FromString,
        )
    self.GetFlowRate = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetFlowRate',
        request_serializer=ParameterControlServicer__pb2.GetFlowRate_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetFlowRate_Responses.FromString,
        )
    self.GetMode = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetMode',
        request_serializer=ParameterControlServicer__pb2.GetMode_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetMode_Responses.FromString,
        )
    self.GetVolume = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetVolume',
        request_serializer=ParameterControlServicer__pb2.GetVolume_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetVolume_Responses.FromString,
        )
    self.GetMaximumFlowRate = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetMaximumFlowRate',
        request_serializer=ParameterControlServicer__pb2.GetMaximumFlowRate_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetMaximumFlowRate_Responses.FromString,
        )
    self.GetMaximumFlowRateWithCalibration = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetMaximumFlowRateWithCalibration',
        request_serializer=ParameterControlServicer__pb2.GetMaximumFlowRateWithCalibration_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetMaximumFlowRateWithCalibration_Responses.FromString,
        )
    self.GetSpeedSettingRPM = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetSpeedSettingRPM',
        request_serializer=ParameterControlServicer__pb2.GetSpeedSettingRPM_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetSpeedSettingRPM_Responses.FromString,
        )
    self.SetSpeedSettingRPM = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetSpeedSettingRPM',
        request_serializer=ParameterControlServicer__pb2.SetSpeedSettingRPM_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetSpeedSettingRPM_Responses.FromString,
        )
    self.SetCurrentRunTime = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetCurrentRunTime',
        request_serializer=ParameterControlServicer__pb2.SetCurrentRunTime_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetCurrentRunTime_Responses.FromString,
        )
    self.GetCurrentRunTime = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetCurrentRunTime',
        request_serializer=ParameterControlServicer__pb2.GetCurrentRunTime_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetCurrentRunTime_Responses.FromString,
        )
    self.SetPumpingPauseTime = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetPumpingPauseTime',
        request_serializer=ParameterControlServicer__pb2.SetPumpingPauseTime_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetPumpingPauseTime_Responses.FromString,
        )
    self.GetPumpingPauseTime = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetPumpingPauseTime',
        request_serializer=ParameterControlServicer__pb2.GetPumpingPauseTime_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetPumpingPauseTime_Responses.FromString,
        )
    self.GetCycleCount = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetCycleCount',
        request_serializer=ParameterControlServicer__pb2.GetCycleCount_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetCycleCount_Responses.FromString,
        )
    self.SetCycleCount = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetCycleCount',
        request_serializer=ParameterControlServicer__pb2.SetCycleCount_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetCycleCount_Responses.FromString,
        )
    self.GetDispenseTimeMlMin = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetDispenseTimeMlMin',
        request_serializer=ParameterControlServicer__pb2.GetDispenseTimeMlMin_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetDispenseTimeMlMin_Responses.FromString,
        )
    self.GetDispenseTimeRPM = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetDispenseTimeRPM',
        request_serializer=ParameterControlServicer__pb2.GetDispenseTimeRPM_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetDispenseTimeRPM_Responses.FromString,
        )
    self.GetFlowRateAtModes = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/GetFlowRateAtModes',
        request_serializer=ParameterControlServicer__pb2.GetFlowRateAtModes_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.GetFlowRateAtModes_Responses.FromString,
        )
    self.SetFlowRateAtModes = channel.unary_unary(
        '/sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer/SetFlowRateAtModes',
        request_serializer=ParameterControlServicer__pb2.SetFlowRateAtModes_Parameters.SerializeToString,
        response_deserializer=ParameterControlServicer__pb2.SetFlowRateAtModes_Responses.FromString,
        )


class ParameterControlServicerServicer(object):
  """Feature: Parameter Control Servicer

  Set and retrieve information regarding the parameter settings of the Reglo ICC pump.
  By Valeryia Sidarava, Institute of Biochemical Engineering, Technical University of Munich, 31.07.2019,
  Lukas Bromig, Institute of Biochemical Engineering, Technical University of Munich, 15.04.2020.

  """

  def SetFlowRate(self, request, context):
    """Set Flow Rate value 
    Set the desired flow rate of the pump, mL/min
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetRPMMode(self, request, context):
    """Set RPM Mode

    Set the current channel/pump mode to RPM mode.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetFlowRateMode(self, request, context):
    """Set Flow Rate Mode

    Set the current channel/pump mode to Flow Rate mode.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetVolumeRateMode(self, request, context):
    """Set Volume Rate Mode

    Set the current channel/pump mode to Volume (at Rate) mode.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetVolumeTimeMode(self, request, context):
    """Set Volume Time Mode

    Set the current channel/pump mode to Volume (over Time) mode.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetVolumePauseMode(self, request, context):
    """Set Volume Pause Mode

    Set the current channel/pump mode to Volume+Pause mode.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetTimeMode(self, request, context):
    """Set Time Mode

    Set the current channel/pump mode to Time mode.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetTimePauseMode(self, request, context):
    """Set Time Pause Mode

    Set the current channel/pump mode to Time+Pause mode.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetVolume(self, request, context):
    """Set Volume

    Set the current setting for volume in mL. Volume Type 2.

    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetFlowRate(self, request, context):
    """Get Flow Rate
    Get current flow rate (mL/min).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetMode(self, request, context):
    """Get Mode
    Get the current channel or pump mode
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetVolume(self, request, context):
    """Get Volume
    Get the current setting for volume in mL/min.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetMaximumFlowRate(self, request, context):
    """Get Maximum Flow Rate
    Get maximum flow rate achievable with current settings, mL/min.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetMaximumFlowRateWithCalibration(self, request, context):
    """Get Maximum Flow Rate using Calibration
    Get maximum flow rate achievable with current settings using calibration, mL/min.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetSpeedSettingRPM(self, request, context):
    """Get Speed Setting in RPM
    Get the current speed setting in RPM.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetSpeedSettingRPM(self, request, context):
    """Set Speed Setting in RPM
    Set speed setting in RPM (RPM Mode flow rate setting (0.01 RPM) Discrete Type 3).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetCurrentRunTime(self, request, context):
    """Set Current Run Time
    Set current pump run time using Time Type 2 format (0 to 999h or 0 to 3596400s).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetCurrentRunTime(self, request, context):
    """Get Current Run Time
    Get current pump run time using Time Type 2 format.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetPumpingPauseTime(self, request, context):
    """Set Pumping Pause Time
    Set pumping pause time using Time Type 2 format (0 to 999h or 0 to 3596400s).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetPumpingPauseTime(self, request, context):
    """Get Pumping Pause Time
    Get pumping pause time.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetCycleCount(self, request, context):
    """Get Cycle Count
    Get pump cycle count.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetCycleCount(self, request, context):
    """Set Cycle Count
    Set pump cycle count (Discrete Type 2).
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetDispenseTimeMlMin(self, request, context):
    """Get Dispense Time at mL/min
    Get time to dispense at a given volume at a given mL/min flow rate.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetDispenseTimeRPM(self, request, context):
    """Get Dispense Time at RPM
    Get time to dispense at a given volume at a given RPM.
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetFlowRateAtModes(self, request, context):
    """Get Flow Rate when mode is not RPM or Flow Rate
    Get flow rate from RPM (S) or flow rate (f) when mode is not RPM or Flow Rate.: 0=RPM, 1=Flow Rate
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def SetFlowRateAtModes(self, request, context):
    """Set Flow Rate when mode is not RPM or Flow Rate
    Set RPM flow rate not in RPM or Flow Rate mode. (Discrete Type 3)
    """
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_ParameterControlServicerServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'SetFlowRate': grpc.unary_unary_rpc_method_handler(
          servicer.SetFlowRate,
          request_deserializer=ParameterControlServicer__pb2.SetFlowRate_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetFlowRate_Responses.SerializeToString,
      ),
      'SetRPMMode': grpc.unary_unary_rpc_method_handler(
          servicer.SetRPMMode,
          request_deserializer=ParameterControlServicer__pb2.SetRPMMode_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetRPMMode_Responses.SerializeToString,
      ),
      'SetFlowRateMode': grpc.unary_unary_rpc_method_handler(
          servicer.SetFlowRateMode,
          request_deserializer=ParameterControlServicer__pb2.SetFlowRateMode_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetFlowRateMode_Responses.SerializeToString,
      ),
      'SetVolumeRateMode': grpc.unary_unary_rpc_method_handler(
          servicer.SetVolumeRateMode,
          request_deserializer=ParameterControlServicer__pb2.SetVolumeRateMode_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetVolumeRateMode_Responses.SerializeToString,
      ),
      'SetVolumeTimeMode': grpc.unary_unary_rpc_method_handler(
          servicer.SetVolumeTimeMode,
          request_deserializer=ParameterControlServicer__pb2.SetVolumeTimeMode_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetVolumeTimeMode_Responses.SerializeToString,
      ),
      'SetVolumePauseMode': grpc.unary_unary_rpc_method_handler(
          servicer.SetVolumePauseMode,
          request_deserializer=ParameterControlServicer__pb2.SetVolumePauseMode_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetVolumePauseMode_Responses.SerializeToString,
      ),
      'SetTimeMode': grpc.unary_unary_rpc_method_handler(
          servicer.SetTimeMode,
          request_deserializer=ParameterControlServicer__pb2.SetTimeMode_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetTimeMode_Responses.SerializeToString,
      ),
      'SetTimePauseMode': grpc.unary_unary_rpc_method_handler(
          servicer.SetTimePauseMode,
          request_deserializer=ParameterControlServicer__pb2.SetTimePauseMode_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetTimePauseMode_Responses.SerializeToString,
      ),
      'SetVolume': grpc.unary_unary_rpc_method_handler(
          servicer.SetVolume,
          request_deserializer=ParameterControlServicer__pb2.SetVolume_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetVolume_Responses.SerializeToString,
      ),
      'GetFlowRate': grpc.unary_unary_rpc_method_handler(
          servicer.GetFlowRate,
          request_deserializer=ParameterControlServicer__pb2.GetFlowRate_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetFlowRate_Responses.SerializeToString,
      ),
      'GetMode': grpc.unary_unary_rpc_method_handler(
          servicer.GetMode,
          request_deserializer=ParameterControlServicer__pb2.GetMode_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetMode_Responses.SerializeToString,
      ),
      'GetVolume': grpc.unary_unary_rpc_method_handler(
          servicer.GetVolume,
          request_deserializer=ParameterControlServicer__pb2.GetVolume_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetVolume_Responses.SerializeToString,
      ),
      'GetMaximumFlowRate': grpc.unary_unary_rpc_method_handler(
          servicer.GetMaximumFlowRate,
          request_deserializer=ParameterControlServicer__pb2.GetMaximumFlowRate_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetMaximumFlowRate_Responses.SerializeToString,
      ),
      'GetMaximumFlowRateWithCalibration': grpc.unary_unary_rpc_method_handler(
          servicer.GetMaximumFlowRateWithCalibration,
          request_deserializer=ParameterControlServicer__pb2.GetMaximumFlowRateWithCalibration_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetMaximumFlowRateWithCalibration_Responses.SerializeToString,
      ),
      'GetSpeedSettingRPM': grpc.unary_unary_rpc_method_handler(
          servicer.GetSpeedSettingRPM,
          request_deserializer=ParameterControlServicer__pb2.GetSpeedSettingRPM_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetSpeedSettingRPM_Responses.SerializeToString,
      ),
      'SetSpeedSettingRPM': grpc.unary_unary_rpc_method_handler(
          servicer.SetSpeedSettingRPM,
          request_deserializer=ParameterControlServicer__pb2.SetSpeedSettingRPM_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetSpeedSettingRPM_Responses.SerializeToString,
      ),
      'SetCurrentRunTime': grpc.unary_unary_rpc_method_handler(
          servicer.SetCurrentRunTime,
          request_deserializer=ParameterControlServicer__pb2.SetCurrentRunTime_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetCurrentRunTime_Responses.SerializeToString,
      ),
      'GetCurrentRunTime': grpc.unary_unary_rpc_method_handler(
          servicer.GetCurrentRunTime,
          request_deserializer=ParameterControlServicer__pb2.GetCurrentRunTime_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetCurrentRunTime_Responses.SerializeToString,
      ),
      'SetPumpingPauseTime': grpc.unary_unary_rpc_method_handler(
          servicer.SetPumpingPauseTime,
          request_deserializer=ParameterControlServicer__pb2.SetPumpingPauseTime_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetPumpingPauseTime_Responses.SerializeToString,
      ),
      'GetPumpingPauseTime': grpc.unary_unary_rpc_method_handler(
          servicer.GetPumpingPauseTime,
          request_deserializer=ParameterControlServicer__pb2.GetPumpingPauseTime_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetPumpingPauseTime_Responses.SerializeToString,
      ),
      'GetCycleCount': grpc.unary_unary_rpc_method_handler(
          servicer.GetCycleCount,
          request_deserializer=ParameterControlServicer__pb2.GetCycleCount_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetCycleCount_Responses.SerializeToString,
      ),
      'SetCycleCount': grpc.unary_unary_rpc_method_handler(
          servicer.SetCycleCount,
          request_deserializer=ParameterControlServicer__pb2.SetCycleCount_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetCycleCount_Responses.SerializeToString,
      ),
      'GetDispenseTimeMlMin': grpc.unary_unary_rpc_method_handler(
          servicer.GetDispenseTimeMlMin,
          request_deserializer=ParameterControlServicer__pb2.GetDispenseTimeMlMin_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetDispenseTimeMlMin_Responses.SerializeToString,
      ),
      'GetDispenseTimeRPM': grpc.unary_unary_rpc_method_handler(
          servicer.GetDispenseTimeRPM,
          request_deserializer=ParameterControlServicer__pb2.GetDispenseTimeRPM_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetDispenseTimeRPM_Responses.SerializeToString,
      ),
      'GetFlowRateAtModes': grpc.unary_unary_rpc_method_handler(
          servicer.GetFlowRateAtModes,
          request_deserializer=ParameterControlServicer__pb2.GetFlowRateAtModes_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.GetFlowRateAtModes_Responses.SerializeToString,
      ),
      'SetFlowRateAtModes': grpc.unary_unary_rpc_method_handler(
          servicer.SetFlowRateAtModes,
          request_deserializer=ParameterControlServicer__pb2.SetFlowRateAtModes_Parameters.FromString,
          response_serializer=ParameterControlServicer__pb2.SetFlowRateAtModes_Responses.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'sila2.org.silastandard.examples.parametercontrolservicer.v1.ParameterControlServicer', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
